Bug 845749 - wicd-curses crashing with ru_RU.UTF-8
wicd-curses crashing with ru_RU.UTF-8
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wicd (Show other bugs)
17
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-04 10:44 EDT by Ifrit
Modified: 2012-12-20 11:26 EST (History)
1 user (show)

See Also:
Fixed In Version: wicd-1.7.2.1-4.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:26:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
wicd-curses error log (3.52 KB, text/plain)
2012-08-04 10:44 EDT, Ifrit
no flags Details

  None (edit)
Description Ifrit 2012-08-04 10:44:38 EDT
Created attachment 602251 [details]
wicd-curses error log

Description of problem:
When i run wicd-curses with "LANG='ru_RU.UTF-8' wicd-curses" and go to Preferences(for example) wicd-curses exit with "UnicodeDecodeError: 'ascii' codec can't decode byte 0xd0 in position 0: ordinal not in range(128)"
Full log in attachment

Version-Release number of selected component (if applicable):
wicd.i686                        1.7.2.1-1.fc17       @fedora                   
wicd-common.noarch               1.7.2.1-1.fc17       @fedora                   
wicd-curses.noarch               1.7.2.1-1.fc17       @fedora

Steps to Reproduce:
1.LANG="ru_RU.UTF-8" wicd-curses
2.Press Shift+P or right arrow
  
Actual results:
It crashes

Expected results:
You should be able to preferences of wicd(Shift+P) or configuration of networks(right arrow)

Additional info:
You can run wicd-curses without this bug(LANG=C wicd-curses), but wicd-curses wicd-curses will be on english language
Comment 1 Fedora Update System 2012-10-23 14:36:17 EDT
wicd-1.7.2.1-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/wicd-1.7.2.1-4.fc17
Comment 2 Fedora Update System 2012-10-23 22:52:33 EDT
Package wicd-1.7.2.1-4.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing wicd-1.7.2.1-4.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16778/wicd-1.7.2.1-4.fc17
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-12-20 11:26:54 EST
wicd-1.7.2.1-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.